/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 缺陷生命周期
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-20 09:48:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷生命周期")
public class BugLifeCycleChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_lifeTime = "lifeTime";
  public static final String KEY_amount = "amount";
  public static final String KEY_projectId = "projectId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 50, message="主键-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 生命周期<br>
   */
  @ApiModelProperty("生命周期")
  @Size(max = 50, message="生命周期-lifeTime: 数据长度不能 > 50" )
  private String lifeTime;
  /**
   * 数量<br>
   */
  @ApiModelProperty("数量")
  private Integer amount;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;

  private List<String> projectIds;


  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 生命周期<br>
   */
  public String getLifeTime()
  {
      return lifeTime;
    }

  /**
   * 生命周期<br>
   *
   * @param lifeTime 生命周期
   */
  public void setLifeTime(String lifeTime)
  {
      this.lifeTime = lifeTime;
    }
  /**
   * 数量<br>
   */
  public Integer getAmount()
  {
      return amount;
    }

  /**
   * 数量<br>
   *
   * @param amount 数量
   */
  public void setAmount(Integer amount)
  {
      this.amount = amount;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }

  public BugLifeCycleChart()
  {
  }

}
